//
//  CoraoolUTBuilder.m
//  Coraool
//
//  Created by 果 on 2024/4/5.
//

#import <Foundation/Foundation.h>


@interface CoraoolUTBuilder : NSObject
@property (strong,nonatomic)NSString *pageName;
@property (strong,nonatomic)NSString *eventType;
@property (strong,nonatomic)NSString *eventName;
@property (strong,nonatomic)NSMutableDictionary *eventValues;


-(NSDictionary *)build;

/**
 设置值
 KV字段JSON结构，用于存储具体事件的属性值，不同事件类型字段列表不同
 SDK内部保留字段，功能同eventValue
 */
-(void) setInnerProperty:(NSString *)key value:(NSString *)pValue;
/**
 设置一组值
 KV字段JSON结构，用于存储具体事件的属性值，不同事件类型字段列表不同
 SDK内部保留字段，功能同eventValue
 */
-(void) setInnerProperties:(NSDictionary *)pPageProperties;

/**
 设置值
 KV字段JSON结构，用于存储具体事件的属性值，不同事件类型字段列表不同
 用户可以添加自定义字段和覆盖
 */
-(void) setProperty:(NSString *)key value:(NSString *)pValue;

/**
 设置一组值
 KV字段JSON结构，用于存储具体事件的属性值，不同事件类型字段列表不同
 用户可以添加自定义字段和覆盖
 */
-(void) setProperties:(NSDictionary *)pPageProperties;
@end
